criterion-0.5.0.10: Robust, reliable performance measurement and analysis

Portability | GHC
Stability | experimental
Maintainer | bos@serpentine.com

Criterion.IO

Description

Input and output actions.

Synopsis

- note :: CritHPrintfType r => String -> r
- printError :: CritHPrintfType r => String -> r
- prolix :: CritHPrintfType r => String -> r
- summary :: String -> Criterion ()

# Documentation

note :: CritHPrintfType r => String -> r

Print a "normal" note.

printError :: CritHPrintfType r => String -> r

Print an error message.

prolix :: CritHPrintfType r => String -> r

Print verbose output.

summary :: String -> Criterion ()

Add to summary CSV (if applicable)